> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Get Site Activity Logs

GET https://api.webflow.com/v2/sites/{site_id}/activity_logs

Retrieve Activity Logs for a specific Site.This endpoint requires an Enterprise workspace.Required scope: `site_activity:read`

Reference: https://developers.webflow.com/data/reference/enterprise/site-activity-logs/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site

### Query parameters

- `limit` (integer, optional) — Maximum number of records to be returned (max limit: 100)
- `offset` (integer, optional) — Offset used for pagination if the results have more than limit records

## Response

### 200

A list of site activity logs

- `items` (list of object, optional)
  - `id` (string, optional)
  - `createdOn` (string, optional)
  - `lastUpdated` (string, optional)
  - `event` (enum, optional)
    - Allowed values: `styles_modified`, `site_published`, `ix2_modified_on_page`, `page_dom_modified`, `cms_item`, `backup_created`, `page_custom_code_modified`, `symbols_modified`, `variable_modified`, `variables_modified`, `cms_collection`, `page_settings_modified`, `page_settings_custom_code_modified`, `ix2_modified_on_component`, `ix2_modified_on_class`, `site_custom_code_modified`, `page_duplicated`, `secondary_locale_page_content_modified`, `page_renamed`, `page_created`, `page_deleted`, `site_unpublished`, `backup_restored`, `locale_added`, `branch_created`, `locale_display_name_updated`, `locale_subdirectory_updated`, `branch_merged`, `locale_tag_updated`, `branch_deleted`, `locale_enabled`, `locale_removed`, `locale_disabled`, `library_shared`, `library_unshared`, `library_installed`, `library_uninstalled`, `library_update_shared`, `library_update_accepted`, `branch_review_created`, `branch_review_approved`, `branch_review_canceled`
  - `resourceOperation` (enum, optional)
    - Allowed values: `CREATED`, `MODIFIED`, `PUBLISHED`, `UNPUBLISHED`, `DELETED`, `GROUP_REORDERED`, `GROUP_CREATED`, `GROUP_DELETED`, `REORDERED`
  - `user` (object, optional, nullable)
    - `id` (string, optional)
    - `displayName` (string, optional)
  - `resourceId` (string, optional, nullable)
  - `resourceName` (string, optional, nullable)
  - `newValue` (string, optional, nullable)
  - `previousValue` (string, optional, nullable)
  - `payload` (object, optional, nullable)
  - `source` (enum, optional, nullable) — The system that originated the event. `WEBFLOW_AI` for Webflow AI features, `WEBFLOW_MCP` for an external MCP server or Bridge App, `DESIGNER` for human writes from the Designer, and `SYSTEM` for automated Webflow processes such as backups or migrations. `null` for legacy events recorded before attribution was available.
    - Allowed values: `WEBFLOW_AI`, `WEBFLOW_MCP`, `DESIGNER`, `SYSTEM`
  - `actorType` (enum, optional, nullable) — The type of actor responsible for the event. `user` for a human who directly triggered or accepted the action, `agent` for a fully autonomous AI agent, `workflow` for a user-created workflow that ran autonomously, and `rule` for an autonomous rule that fired on a trigger. `null` for legacy events.
    - Allowed values: `user`, `agent`, `workflow`, `rule`
  - `actorId` (string, optional, nullable) — Unique identifier of the actor that originated the event. `null` when not available.
  - `actorName` (string, optional, nullable) — Display name of the actor that originated the event. `null` when not available.
- `pagination` (object, optional) — Pagination object
  - `limit` (integer, required) — The limit used for pagination
  - `offset` (integer, required) — The offset used for pagination
  - `total` (integer, required) — The total number of records

## Errors

### 403 Forbidden Error

Forbidden request

- `any or any`

### 404 Not Found Error

Requested resource not found

- `code` (enum, optional) — Error code
  - Allowed values: `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `before_historical_floor`, `collection_not_found`, `conflict`, `duplicate_collection`, `duplicate_user_email`, `ecommerce_not_enabled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_time_range`, `invalid_user_email`, `item_not_found`, `missing_scopes`, `no_domains`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `order_not_found`, `resource_not_found`, `service_unavailable`, `time_range_too_wide`, `too_many_requests`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of string or map from string to any, optional) — Array of errors

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `code` (enum, optional) — Error code
  - Allowed values: `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `before_historical_floor`, `collection_not_found`, `conflict`, `duplicate_collection`, `duplicate_user_email`, `ecommerce_not_enabled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_time_range`, `invalid_user_email`, `item_not_found`, `missing_scopes`, `no_domains`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `order_not_found`, `resource_not_found`, `service_unavailable`, `time_range_too_wide`, `too_many_requests`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of string or map from string to any, optional) — Array of errors

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `code` (enum, optional) — Error code
  - Allowed values: `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `before_historical_floor`, `collection_not_found`, `conflict`, `duplicate_collection`, `duplicate_user_email`, `ecommerce_not_enabled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_time_range`, `invalid_user_email`, `item_not_found`, `missing_scopes`, `no_domains`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `order_not_found`, `resource_not_found`, `service_unavailable`, `time_range_too_wide`, `too_many_requests`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of string or map from string to any, optional) — Array of errors

## Examples

**Response**

```json
{
  "items": [
    {
      "id": "654c16c7b229e56bcf26872d",
      "createdOn": "2023-11-08T23:16:23.496Z",
      "lastUpdated": "2023-11-08T23:16:23.496Z",
      "event": "cms_collection",
      "resourceOperation": "CREATED",
      "user": {
        "id": "6509cd56e90eec668b009712",
        "displayName": "John Doe"
      },
      "resourceId": "654c16c7b229e56bcf26870c",
      "resourceName": "foo-bar",
      "newValue": null,
      "previousValue": null,
      "payload": null,
      "source": "DESIGNER",
      "actorType": "user",
      "actorId": null,
      "actorName": null
    },
    {
      "id": "6a2b59c5e2f5e75d3b7e6588",
      "createdOn": "2026-06-12T00:58:45.429Z",
      "lastUpdated": "2026-06-12T00:58:56.186Z",
      "event": "page_dom_modified",
      "resourceOperation": "MODIFIED",
      "user": {
        "id": "6509cd56e90eec668b009712",
        "displayName": "John Doe"
      },
      "resourceId": null,
      "resourceName": "Home",
      "newValue": null,
      "previousValue": null,
      "payload": {
        "branchId": null,
        "branchName": null,
        "pageTitle": "Home",
        "pageId": "6785866e9dc60263a82cd380",
        "count": 2
      },
      "source": "WEBFLOW_AI",
      "actorType": "user",
      "actorId": null,
      "actorName": null
    }
  ],
  "pagination": {
    "limit": 25,
    "offset": 0,
    "total": 2
  }
}
```

**SDK Code**

```typescript
import { WebflowClient } from "webflow-api";

async function main() {
    const client = new WebflowClient({
        accessToken: "YOUR_TOKEN_HERE",
    });
    await client.sites.activityLogs.list("580e63e98c9a982ac9b8b741", {
        limit: 100,
        offset: 0,
    });
}
main();

```

```python
from webflow import Webflow

client = Webflow(
    access_token="YOUR_TOKEN_HERE",
)

client.sites.activity_logs.list(
    site_id="580e63e98c9a982ac9b8b741",
    limit=100,
    offset=0,
)

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/activity_logs?limit=100&offset=0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/activity_logs?limit=100&offset=0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/activity_logs?limit=100&offset=0")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/activity_logs?limit=100&offset=0', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/activity_logs?limit=100&offset=0");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/activity_logs?limit=100&offset=0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```